mnoGoSearch 3.2.39 reference manual: Full-featured search engine software
Prev |  | Next

# URLDataThreshold

## Name

URLDataThreshold -- improves search performance for queries returning small number of results

search.htm

## Synopsis

URLDataThreshold {number}

##

This command allows to improve search performance with DBMode=blob for the queries returning a small number of results (not more than several hundreds). If search returns less than "num" documents, full URL information is not loaded from the "bdict" table and the "url" table is used instead. In other words, this command switches between "loading a huge amount of URL data from the fast source" to "loading a small amount of URL data from the slow source". The default value is 0, which means always read URL data from the "bdict" table (from the fast source). Find the number which is good for your installation experimentally.

## Examples

    URLDatsThreshold 100

## See also

DBAddr

Prev | Home | Next
URL | Up | URLDAddr